#hangman game
#01/21/2022

#load in dictionary file
#select random word between 5 and 12 letters long
a = Array.new

def pick_word(a)
  rand_int = rand(0..a.size)
  return a[rand_int].chop!
end

#loading file into an array
dict = File.open('5desk.txt')
dict.each do |row|
  a.push(row)
end

#picking a word between 5 and 12 characters long
word = pick_word(a)
until word.length.between?(5, 12)
  word = pick_word(a)
end

puts "Your word is #{word}"

#turn word into an array
#hide 50% of letters randomly
#ask user to guess letters
#have two arrays, word and hidden word
#display hidden word
#if input is included in word but not hidden word then
#if word[x] == input then hidden[x] == input
#do this over the array
#if guess == a hidden letter
# fill in that letter
#else
# increase hangman counter

def scramble_word(word)
  scrambled_word = Array.new
  word.length.times do |i|
    if rand(0..1) == 0 #do this 50% of the time
      scrambled_word.push("_")
    else
      scrambled_word.push(word[i])
    end
  end
  return scrambled_word
end

scrambled_word = scramble_word(word)
#puts the array as a readable string
puts scrambled_word.inspect[1...-1].gsub('"',"").gsub(',','')

